package cn.ibizlab.r7.runtime.core.r7rt_base.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import cn.ibizlab.r7.runtime.util.ISearchFilter;
import cn.ibizlab.r7.runtime.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.r7.runtime.util.SearchContext;
import cn.ibizlab.r7.runtime.util.SearchFieldFilter;
import cn.ibizlab.r7.runtime.util.enums.SearchFieldType;
import cn.ibizlab.r7.runtime.util.enums.SearchGroupType;
import cn.ibizlab.r7.runtime.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[System] 查询条件对象
 */
@Data
public class SystemSearchContext extends SearchContext {

	   public String n_systemname_like;//[业务系统名称]
       public void setN_systemname_like(String n_systemname_like) {
            this.n_systemname_like=n_systemname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("systemname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_systemname_like);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter systemname=new SearchFieldFilter();
           systemname.setParam("systemname");
           systemname.setCondition(SearchFieldType.LIKE);
           systemname.setValue(strQuery);
           searchGroupFilter.getCondition().add(systemname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
